#
# spec file for package xtables-addons
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xtables-addons
Version:        1.37
Release:        1
Group:          Productivity/Networking/Security
Summary:        IP Packet Filter Administration Extensions
License:        GPL
Url:            http://xtables-addons.sf.net/
Source:         %name-%version.tar.xz
Source2:        %name-%version.tar.xz.asc
Source3:        %name-preamble
#Git-Clone:	git://xtables-addons.git.sf.net/gitroot/xtables-addons/xtables-addons
#Git-Web:	http://xtables-addons.git.sf.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  iptables-devel >= 1.4.3 libmnl-devel >= 1
BuildRequires:  kernel-default-devel kernel-syms
BuildRequires:  pkg-config >= 0.23 xz
Recommends:     %name-kmp
# Yes, we've got a lot of good stuff!
%if 0%{?suse_version} >= 1140
Provides:       ipset = 6.7
%else
Provides:       ipset = 4.5
%endif
Recommends:     xtables-geoip

%define xtlibdir %(pkg-config xtables --variable=xtlibdir)

%kernel_module_package -p %name-preamble

%description
Xtables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.

Xtables-addons is the successor to patch-o-matic(-ng). Likewise, it
contains extensions that were not, or are not yet, accepted in the
main kernel/iptables packages.

%package KMP
Group:          System/Kernel
License:        GPL
Summary:        IP Packet Filter Administration Extensions

%description KMP
Xtables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.

Xtables-addons is the successor to patch-o-matic(-ng). Likewise, it
contains extensions that were not, or are not yet, accepted in the
main kernel/iptables packages.

%prep
%setup -q

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi;
%if 0%{?suse_version} >= 1140
# ipset6-genl needs >=2.6.35
echo "build_ipset4=" >>mconfig;
echo "build_ipset6=m" >>mconfig;
%endif
pushd ../;
for flavor in %flavors_to_build; do
	cp -a "%name-%version" "%name-$flavor-%version";
	pushd "%name-$flavor-%version/";
	%configure --with-kbuild="/usr/src/linux-obj/%_target_cpu/$flavor";
	make %{?_smp_mflags};
	popd;
done;

%install
b="%buildroot";
#rm -Rf "$b";
#mkdir "$b";
pushd ../;
for flavor in %flavors_to_build; do
	pushd "%name-$flavor-%version/";
	make install DESTDIR="$b";
	popd;
done;
# There is no -devel package. So no need for these files.
find "$b/%_prefix" -iname "*.la" -delete;
find "$b/%_libdir" -maxdepth 1 -type l -iname "*.so" -delete;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %_mandir/*/*
%_sbindir/*
%_libdir/*.so.*
%xtlibdir
%_libexecdir/xtables-addons

%changelog
